'use strict';

var _get = require('babel-runtime/helpers/get')['default'];

var _inherits = require('babel-runtime/helpers/inherits')['default'];

var _createClass = require('babel-runtime/helpers/create-class')['default'];

var _classCallCheck = require('babel-runtime/helpers/class-call-check')['default'];

var _interopRequireDefault = require('babel-runtime/helpers/interop-require-default')['default'];

Object.defineProperty(exports, '__esModule', {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactRouter = require('react-router');

var Component = (function (_React$Component) {
  _inherits(Component, _React$Component);

  function Component() {
    _classCallCheck(this, Component);

    _get(Object.getPrototypeOf(Component.prototype), 'constructor', this).apply(this, arguments);
  }

  _createClass(Component, [{
    key: 'runAction',
    value: function runAction(action) {
      return this.context.ctx.runAction(action);
    }
  }, {
    key: 'getStore',
    value: function getStore(Store) {
      return Store.getInstance(this.context.ctx);
    }
  }, {
    key: 'setLocale',
    value: function setLocale(l) {
      return this.context.locale.setLocale(l);
    }
  }, {
    key: 'tmpl',
    value: function tmpl(key, params) {
      return this.context.locale(key, params);
    }
  }, {
    key: 'formatNumber',
    value: function formatNumber() {
      var _context$locale;

      return (_context$locale = this.context.locale).formatNumber.apply(_context$locale, arguments);
    }
  }, {
    key: 'formatCurrency',
    value: function formatCurrency() {
      var _context$locale2;

      return (_context$locale2 = this.context.locale).formatCurrency.apply(_context$locale2, arguments);
    }
  }, {
    key: 'formatDateTime',
    value: function formatDateTime() {
      var _context$locale3;

      return (_context$locale3 = this.context.locale).formatDateTime.apply(_context$locale3, arguments);
    }
  }, {
    key: 'locale',
    get: function get() {
      return this.context.locale.locale;
    }
  }], [{
    key: 'contextTypes',
    get: function get() {
      return {
        history: _reactRouter.PropTypes.history,
        ctx: _react.PropTypes.object,
        locale: _react.PropTypes.func
      };
    }
  }]);

  return Component;
})(_react2['default'].Component);

exports['default'] = Component;
module.exports = exports['default'];
//# sourceMappingURL=component.js.map
