'use strict';

var _get = require('babel-runtime/helpers/get')['default'];

var _inherits = require('babel-runtime/helpers/inherits')['default'];

var _createClass = require('babel-runtime/helpers/create-class')['default'];

var _classCallCheck = require('babel-runtime/helpers/class-call-check')['default'];

Object.defineProperty(exports, '__esModule', {
  value: true
});

var GenericError = (function (_Error) {
  _inherits(GenericError, _Error);

  function GenericError(err) {
    _classCallCheck(this, GenericError);

    _get(Object.getPrototypeOf(GenericError.prototype), 'constructor', this).call(this);
    this.name = this.constructor.name;
    this.msg = this.message = 'GenericError';
    this.stack = err.stack;
    this.cause = err;
  }

  _createClass(GenericError, null, [{
    key: 'toString',
    value: function toString() {
      return this.name;
    }
  }]);

  return GenericError;
})(Error);

exports.GenericError = GenericError;

var AppLoadError = (function (_GenericError) {
  _inherits(AppLoadError, _GenericError);

  function AppLoadError(err) {
    _classCallCheck(this, AppLoadError);

    _get(Object.getPrototypeOf(AppLoadError.prototype), 'constructor', this).call(this, err);
    this.msg = this.message = 'Error loading application';
  }

  return AppLoadError;
})(GenericError);

exports.AppLoadError = AppLoadError;

var LocaleLoadError = (function (_GenericError2) {
  _inherits(LocaleLoadError, _GenericError2);

  function LocaleLoadError(err) {
    _classCallCheck(this, LocaleLoadError);

    _get(Object.getPrototypeOf(LocaleLoadError.prototype), 'constructor', this).call(this, err);
    this.msg = this.message = 'Error loading locale';
  }

  return LocaleLoadError;
})(GenericError);

exports.LocaleLoadError = LocaleLoadError;

var ActionError = (function (_GenericError3) {
  _inherits(ActionError, _GenericError3);

  function ActionError(err) {
    _classCallCheck(this, ActionError);

    _get(Object.getPrototypeOf(ActionError.prototype), 'constructor', this).call(this, err);
    this.msg = this.message = 'Failed to run action';
  }

  return ActionError;
})(GenericError);

exports.ActionError = ActionError;
//# sourceMappingURL=errors.js.map
