'use strict';

var _interopRequireDefault = require('babel-runtime/helpers/interop-require-default')['default'];

Object.defineProperty(exports, '__esModule', {
  value: true
});
exports['default'] = merge;

var _extend = require('./extend');

var _extend2 = _interopRequireDefault(_extend);

/**
 * @exports merge
 * @function
 * @param {StyleDefinition} arguments
 *
 * Merges all the style definitions in the arguments to one resulting object.
 */

function merge() {
  for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
    args[_key] = arguments[_key];
  }

  return _extend2['default'].apply(undefined, [{}].concat(args));
}

module.exports = exports['default'];
//# sourceMappingURL=merge.js.map
