'use strict';

var _get = require('babel-runtime/helpers/get')['default'];

var _inherits = require('babel-runtime/helpers/inherits')['default'];

var _createClass = require('babel-runtime/helpers/create-class')['default'];

var _classCallCheck = require('babel-runtime/helpers/class-call-check')['default'];

var _interopRequireDefault = require('babel-runtime/helpers/interop-require-default')['default'];

Object.defineProperty(exports, '__esModule', {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactDomServer = require('react-dom/server');

/**
 * @class Viewport
 * @description The default Viewport component
 * @property innerHTML
 */

var Viewport = (function (_React$Component) {
  _inherits(Viewport, _React$Component);

  function Viewport() {
    _classCallCheck(this, Viewport);

    _get(Object.getPrototypeOf(Viewport.prototype), 'constructor', this).apply(this, arguments);
  }

  _createClass(Viewport, [{
    key: 'render',
    value: function render() {
      var innerHtml = undefined;

      if (this.props.children) {
        innerHtml = {
          __html: (0, _reactDomServer.renderToString)(this.props.children)
        };
      }
      return _react2['default'].createElement('div', {
        id: 'viewport',
        dangerouslySetInnerHTML: innerHtml
      });
    }
  }]);

  return Viewport;
})(_react2['default'].Component);

exports['default'] = Viewport;
module.exports = exports['default'];
//# sourceMappingURL=viewport.js.map
