'use strict';

var _createClass = require('babel-runtime/helpers/create-class')['default'];

var _classCallCheck = require('babel-runtime/helpers/class-call-check')['default'];

var _Symbol = require('babel-runtime/core-js/symbol')['default'];

var _regeneratorRuntime = require('babel-runtime/regenerator')['default'];

var _interopRequireDefault = require('babel-runtime/helpers/interop-require-default')['default'];

Object.defineProperty(exports, '__esModule', {
  value: true
});

var _instance = require('./instance');

var _instance2 = _interopRequireDefault(_instance);

var _dispatcher = require('./dispatcher');

var _dispatcher2 = _interopRequireDefault(_dispatcher);

var _Payload = _Symbol();
var _Ctx = _Symbol();

/**
 *  @exports default
 *  @class ActionBase
 *    Base class for actions
 */

var Action = (function () {
  /**
   * @constructor
   * @param {any} payload - parameter passed into the action handler
   */

  function Action(payload) {
    _classCallCheck(this, Action);

    this[_Payload] = payload;
  }

  /**
   * @function
   *
   */

  _createClass(Action, [{
    key: 'action',
    value: function action() {
      return _regeneratorRuntime.async(function action$(context$2$0) {
        while (1) switch (context$2$0.prev = context$2$0.next) {
          case 0:
            return context$2$0.abrupt('return', this[_Payload]);

          case 1:
          case 'end':
            return context$2$0.stop();
        }
      }, null, this);
    }
  }, {
    key: 'payload',
    get: function get() {
      return this[_Payload];
    }
  }, {
    key: 'ctx',
    get: function get() {
      return this[_Ctx];
    },
    set: function set(ctx) {
      this[_Ctx] = ctx;
    }
  }]);

  return Action;
})();

exports['default'] = Action;
module.exports = exports['default'];

//allow actions to be used as events by defaulting to resolved promise
//# sourceMappingURL=action.js.map
